## org.springframework.test.annotation
Interface ProfileValueSource

All Known Implementing Classes:
  SystemProfileValueSource

    public interface ProfileValueSource

Strategy interface for retrieving profile values for a given testing environment.

Concrete implementations must provide a `public` no-args constructor.

Spring provides the following out-of-the-box implementations:

- `SystemProfileValueSource`

Since:
  2.0
Author:
  Rod Johnson, Sam Brannen
See Also:
  `ProfileValueSourceConfiguration`, `IfProfileValue`, `ProfileValueUtils`

Method Summary
`String` `get(String key)` Get the profile value indicated by the specified key.

Method Detail

### get

    String get(String key)

  Get the profile value indicated by the specified key.

  Parameters:
    `key` - the name of the profile value
  Returns:
    the String value of the profile value, or `null` if there is no profile value with that key